'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const TextInput = _configContext$inputC.TextInput,
        TermPickerInput = _configContext$inputC.TermPickerInput;
  const config = configContext.configHelpers.configKey;


  return {
    catalogLevel: {
      [config]: {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.ext.fineart.catalogLevel.name',
            'defaultMessage': 'Cataloging level'
          }
        }),
        view: {
          type: TermPickerInput,
          props: {
            source: 'cataloglevel'
          }
        }
      }
    },
    materialTechniqueDescription: {
      [config]: {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.ext.fineart.materialTechniqueDescription.name',
            'defaultMessage': 'Material/Technique description'
          }
        }),
        view: {
          type: TextInput
        }
      }
    },
    creatorDescription: {
      [config]: {
        messages: (0, _reactIntl.defineMessages)({
          name: {
            'id': 'field.ext.fineart.creatorDescription.name',
            'defaultMessage': 'Creator description'
          }
        }),
        view: {
          type: TextInput
        }
      }
    }
  };
};