'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

require('react-intl');

exports.default = configContext => {
  const AutocompleteInput = configContext.inputComponents.AutocompleteInput;
  const config = configContext.configHelpers.configKey;
  const extensions = configContext.config.extensions;


  return {
    document: {
      'ns2:collectionobjects_common': {
        objectProductionPlaceGroupList: {
          objectProductionPlaceGroup: {
            objectProductionPlace: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'place/local'
                  }
                }
              }
            }
          }
        },
        contentActivities: {
          contentActivity: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'concept/activity'
                }
              }
            }
          }
        },
        contentPeoples: {
          contentPeople: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'concept/ethculture'
                }
              }
            }
          }
        },
        contentPlaces: {
          contentPlace: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'place/local'
                }
              }
            }
          }
        },
        assocActivityGroupList: {
          assocActivityGroup: {
            assocActivity: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/activity'
                  }
                }
              }
            }
          }
        },
        assocPeopleGroupList: {
          assocPeopleGroup: {
            assocPeople: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/ethculture'
                  }
                }
              }
            }
          }
        },
        assocPlaceGroupList: {
          assocPlaceGroup: {
            assocPlace: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'place/local'
                  }
                }
              }
            }
          }
        }
      },
      'ns2:collectionobjects_variablemedia': Object.assign({
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/collectionobject/local/variablemedia'
          }
        }
      }, extensions.contentWorks.fields, extensions.technicalSpecs.fields),
      'ns2:collectionobjects_fineart': Object.assign({
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/collectionobject/local/fineart'
          }
        }
      }, extensions.fineart.fields)
    }
  };
};